Description: fix some issues
Author: Jens Peter Secher <jpsecher@diku.dk>
Author: Joao Pedro Avelino Lara <ti.joaop@gmail.com>
Last Update: 2014-12-09
Index: changetrack-4.7/changetrack.man
===================================================================
--- changetrack-4.7.orig/changetrack.man
+++ changetrack-4.7/changetrack.man
@@ -1,13 +1,13 @@
 .TH CHANGETRACK 1 "" "" \" -*- nroff -*-
 .SH NAME
-changetrack \- track changes to configuration files
+changetrack \- track changes to files
 .SH SYNOPSIS
 .B changetrack
-[-h] [\-c configfile] [\-d directory] [-e] [-r] [-q] [\-m message] [\-M message] [-v] [-u] [\-o emailaddress]
+[\-h] [\-c configfile] [\-d directory] [\-e] [\-r] [\-q] [\-m message] [\-M message] [\-v] [\-u] [\-o toaddress] [\-f fromaddress]
 .SH DESCRIPTION
 .B changetrack
 is a program to monitor changes to a bunch of files. If files are  
-modify one day, and the machine starts working incorrectly some days later,
+modified one day, and the machine starts working incorrectly some days later,
 .B changetrack
 can provide information on which files were modified, and help locate
 the problem. 
@@ -15,6 +15,14 @@ the problem.
 Normally
 .B changetrack
 uses
+.B ed
+to keep track of various revisions of the files by maintaining an
+.I .ed
+script with the change history for each file.
+.PP
+Alternatively,
+.B changetrack
+can use
 .B rcs
 to keep track of various revisions of the files. Each file is "installed"
 in the 
@@ -30,7 +38,7 @@ system. See the man page of
 .B co
 for information on retrieving an old version of the file.
 .PP
-Backup files (ending in tilde ~) are ignored, unless explicitely included.
+Backup files (ending in tilde ~) are ignored, unless explicitly included.
 .PP
 After each pattern in the file list, adding white space, a colon (:) then
 more whitespace, followed by email addresses, separated by more whitespace,
@@ -60,7 +68,7 @@ Keep a copy of the file from when it was
 .B changetrack
 configuration, and keep
 .B ed
--styled changes to rebuild the file.
+styled changes to rebuild the file.
 .I This option is recommended only if
 .BI rcs
 .I does not work on the machine.
@@ -95,9 +103,9 @@ Use unified diffs (this only works with
 .TP
 .BI \-o "emailaddress"
 Mail output to emailaddress. This is supplementary to emails specified in the config file.
-+ .TP
-+ .BI \-f "emailaddress"
-+ Set "From" header to emailaddress (which must be a valid).
+.TP
+.BI \-f "emailaddress"
+Set "From" header to emailaddress, which must be fully qualified.
 
 .SH REQUIREMENTS
 This program requires
@@ -111,6 +119,7 @@ to be installed. If the
 switch is used,
 .B ed
 is required.
+
 .SH FILES
 .TP
 ~/.changetrackrc
@@ -132,6 +141,17 @@ files are stored in this directory, unle
 exists, in which case the
 .B rcs
 files are stored in that directory.
+.TP
+/etc/cron.daily/changetrack
+Script that creates the list of all files monitor.
+.TP
+/etc/cron.hourly/changetrack
+Script that invocates
+.B changetrack.
+.TP
+/etc/default/changetrack
+Configuration for the above two scripts.
+
 .SH DIAGNOSTICS
 Each filename is written to standard output.
 .B rcs
@@ -145,8 +165,10 @@ Author: Cameron J. Morland.
 Manual Page Revision: 2.1 Release Date: 2001-03-06.
 .br
 Copyright \(co 2001-2005 Cameron J. Morland.
+.br
+Changed by Jens Peter Secher to reflect the Debian modifications.
 .SH "SEE ALSO"
-rcsintro(1), co(1)
+ed(1), rcsintro(1), co(1)
 
 .SH TODO
 Automate removal of out-of-date changes, to save disk space and clarify
